Bug 222776 - Firefox crashes randomly and often, sometimes without user interaction
Firefox crashes randomly and often, sometimes without user interaction
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-16 00:27 EST by Devin
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-05 09:58:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdb backtrace (9.41 KB, text/plain)
2007-01-16 00:27 EST, Devin
no flags Details
Backtrace (14.29 KB, text/plain)
2007-02-06 06:45 EST, Devin
no flags Details
gdb backtrace (17.18 KB, text/plain)
2007-02-21 16:41 EST, Devin
no flags Details
firefox-1.5.0.9-3.fc6 crash backtrace (13.86 KB, application/octet-stream)
2007-02-27 22:38 EST, Per Nystrom
no flags Details

  None (edit)
Description Devin 2007-01-16 00:27:32 EST
Firefox crashed randomly.  Mostly, Firefox will crash when I click on a link or
edit text in a textarea.  Sometimes, Firefox will crash when I'm no one is using
the computer.  Here is the output I receive when I run Firefox with the
--verbose and --sync arguments:

The program 'Gecko' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadRequest (invalid request code or no such operation)'.
  (Details: serial 21435962 error_code 1 request_code 0 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

I've tried changing my video drivers (fglrx, radeon), but the bug occurs
regardless of which video drivers I use.

I know that a similar bug happens with Flash installs, but it's supposed to
happen when the Composite option is enabled and/or when XLIB_SKIP_ARGB_VISUALS
is not set to 1.  Neither of those conditions is true on my system.


Version-Release number of selected component (if applicable):

1.5.0.9-1.fc6


How reproducible:

It happens a great deal, but not under a specific set of circumstances.

  
Actual results:

Firefox crashes.


Expected results:

Firefox shouldn't crash.


Additional info:

I've attached a gdb backtrace.
Comment 1 Devin 2007-01-16 00:27:32 EST
Created attachment 145651 [details]
gdb backtrace
Comment 2 Devin 2007-02-06 06:45:19 EST
Created attachment 147458 [details]
Backtrace
Comment 3 Devin 2007-02-06 06:47:15 EST
This bug is still present in Firefox 1.5.0.9-2.  I've added another gdb
backtrace (above).
Comment 4 Devin 2007-02-21 16:41:38 EST
Created attachment 148540 [details]
gdb backtrace

This bug is still present in Firefox 1.5.0.9-3.  I've attached a gdb backtrace.
Comment 5 Per Nystrom 2007-02-23 20:44:24 EST
I believe this is the same issue as in
these bugs, maybe someone wants to consolidate them?

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=228115
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=191575
Comment 6 Need Real Name 2007-02-25 13:08:50 EST
Same result when using Mozilla and Mozilla mail.  Especially bad with Mozilla
mail.  Scrolling mail or other actions that cause display window to change
rapidly seem to be most frequent related cause.  I had this same problem with
FC3 once or twice.  Went to FC5 and it is so frequent that usually can not get
through single Mozilla mail session without system freeze.  Happens most often
when scrolling and occasionally when first clicking to open a mail item.
Comment 7 Per Nystrom 2007-02-25 18:09:07 EST
Firefox just did it to me again and this time I had gdb attached to its PID.  I
just tried to get a bt and got absolutely nothing.  I have firefox-debuginfo
installed.  Am I doing something wrong?


(gdb) attach 24146
Attaching to process 24146
Reading symbols from /usr/lib/firefox-1.5.0.9/firefox-bin...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/firefox-bin.debug...done.
Using host libthread_db library "/lib/libthread_db.so.1".
done.
Reading symbols from /usr/lib/firefox-1.5.0.9/libmozjs.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/libmozjs.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/libmozjs.so
Reading symbols from /usr/lib/firefox-1.5.0.9/libxpcom.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/libxpcom.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/libxpcom.so
Reading symbols from /usr/lib/firefox-1.5.0.9/libxpcom_core.so...Reading symbols
from /usr/lib/debug/usr/lib/firefox-1.5.0.9/libxpcom_core.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/libxpcom_core.so
Reading symbols from /usr/lib/libplds4.so...done.
Loaded symbols for /usr/lib/libplds4.so
Reading symbols from /usr/lib/libplc4.so...done.
Loaded symbols for /usr/lib/libplc4.so
Reading symbols from /usr/lib/libnspr4.so...done.
Loaded symbols for /usr/lib/libnspr4.so
Reading symbols from /lib/libpthread.so.0...done.
[Thread debugging using libthread_db enabled]
[New Thread -1208736048 (LWP 24146)]
[New Thread -1276953712 (LWP 24158)]
[New Thread -1265640560 (LWP 24152)]
[New Thread -1255150704 (LWP 24151)]
[New Thread -1244660848 (LWP 24150)]
[New Thread -1232209008 (LWP 24149)]
[New Thread -1221325936 (LWP 24148)]
[New Thread -1210836080 (LWP 24147)]
Loaded symbols for /lib/libpthread.so.0
Reading symbols from /lib/libdl.so.2...done.
Loaded symbols for /lib/libdl.so.2
Reading symbols from /usr/lib/libgtk-x11-2.0.so.0...done.
Loaded symbols for /usr/lib/libgtk-x11-2.0.so.0
Reading symbols from /usr/lib/libgdk-x11-2.0.so.0...done.
Loaded symbols for /usr/lib/libgdk-x11-2.0.so.0
Reading symbols from /usr/lib/libatk-1.0.so.0...done.
Loaded symbols for /usr/lib/libatk-1.0.so.0
Reading symbols from /usr/lib/libgdk_pixbuf-2.0.so.0...done.
Loaded symbols for /usr/lib/libgdk_pixbuf-2.0.so.0
Reading symbols from /usr/lib/libpangocairo-1.0.so.0...done.
Loaded symbols for /usr/lib/libpangocairo-1.0.so.0
Reading symbols from /usr/lib/libpango-1.0.so.0...done.
Loaded symbols for /usr/lib/libpango-1.0.so.0
Reading symbols from /usr/lib/libcairo.so.2...done.
Loaded symbols for /usr/lib/libcairo.so.2
Reading symbols from /lib/libgobject-2.0.so.0...done.
Loaded symbols for /lib/libgobject-2.0.so.0
Reading symbols from /lib/libgmodule-2.0.so.0...done.
Loaded symbols for /lib/libgmodule-2.0.so.0
Reading symbols from /lib/libglib-2.0.so.0...done.
Loaded symbols for /lib/libglib-2.0.so.0
Reading symbols from /usr/lib/libX11.so.6...done.
Loaded symbols for /usr/lib/libX11.so.6
Reading symbols from /lib/libm.so.6...done.
Loaded symbols for /lib/libm.so.6
Reading symbols from /usr/lib/libstdc++.so.6...done.
Loaded symbols for /usr/lib/libstdc++.so.6
Reading symbols from /lib/libgcc_s.so.1...done.
Loaded symbols for /lib/libgcc_s.so.1
Reading symbols from /lib/libc.so.6...done.
Loaded symbols for /lib/libc.so.6
Reading symbols from /lib/ld-linux.so.2...done.
Loaded symbols for /lib/ld-linux.so.2
Reading symbols from /usr/lib/libXfixes.so.3...done.
Loaded symbols for /usr/lib/libXfixes.so.3
Reading symbols from /usr/lib/libfontconfig.so.1...done.
Loaded symbols for /usr/lib/libfontconfig.so.1
Reading symbols from /usr/lib/libXext.so.6...done.
Loaded symbols for /usr/lib/libXext.so.6
Reading symbols from /usr/lib/libXrender.so.1...done.
Loaded symbols for /usr/lib/libXrender.so.1
Reading symbols from /usr/lib/libXinerama.so.1...done.
Loaded symbols for /usr/lib/libXinerama.so.1
Reading symbols from /usr/lib/libXi.so.6...done.
Loaded symbols for /usr/lib/libXi.so.6
Reading symbols from /usr/lib/libXrandr.so.2...done.
Loaded symbols for /usr/lib/libXrandr.so.2
Reading symbols from /usr/lib/libXcursor.so.1...done.
Loaded symbols for /usr/lib/libXcursor.so.1
Reading symbols from /usr/lib/libpangoft2-1.0.so.0...done.
Loaded symbols for /usr/lib/libpangoft2-1.0.so.0
Reading symbols from /usr/lib/libfreetype.so.6...done.
Loaded symbols for /usr/lib/libfreetype.so.6
Reading symbols from /usr/lib/libz.so.1...done.
Loaded symbols for /usr/lib/libz.so.1
Reading symbols from /usr/lib/libpng12.so.0...done.
Loaded symbols for /usr/lib/libpng12.so.0
Reading symbols from /usr/lib/libXau.so.6...done.
Loaded symbols for /usr/lib/libXau.so.6
Reading symbols from /usr/lib/libXdmcp.so.6...done.
Loaded symbols for /usr/lib/libXdmcp.so.6
Reading symbols from /lib/libexpat.so.0...done.
Loaded symbols for /lib/libexpat.so.0
Reading symbols from /lib/libnss_files.so.2...done.
Loaded symbols for /lib/libnss_files.so.2
Reading symbols from /usr/lib/gconv/ISO8859-1.so...done.
Loaded symbols for /usr/lib/gconv/ISO8859-1.so
Reading symbols from /usr/lib/gconv/UTF-16.so...done.
Loaded symbols for /usr/lib/gconv/UTF-16.so
Reading symbols from
/usr/lib/firefox-1.5.0.9/components/libbrowserdirprovider.so...Reading symbols
from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/components/libbrowserdirprovider.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/components/libbrowserdirprovider.so
Reading symbols from /usr/lib/firefox-1.5.0.9/components/libchrome.so...Reading
symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/components/libchrome.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/components/libchrome.so
Reading symbols from /usr/lib/firefox-1.5.0.9/components/libpref.so...Reading
symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/components/libpref.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/components/libpref.so
Reading symbols from /usr/lib/firefox-1.5.0.9/components/libnecko.so...Reading
symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/components/libnecko.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/components/libnecko.so
Reading symbols from /usr/lib/firefox-1.5.0.9/components/libi18n.so...Reading
symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/components/libi18n.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/components/libi18n.so
Reading symbols from /usr/lib/firefox-1.5.0.9/components/libuconv.so...Reading
symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/components/libuconv.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/components/libuconv.so
Reading symbols from
/usr/lib/firefox-1.5.0.9/components/libxpconnect.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/components/libxpconnect.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/components/libxpconnect.so
Reading symbols from /usr/lib/firefox-1.5.0.9/components/libjar50.so...Reading
symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/components/libjar50.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/components/libjar50.so
Reading symbols from
/usr/lib/firefox-1.5.0.9/components/libwidget_gtk2.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/components/libwidget_gtk2.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/components/libwidget_gtk2.so
Reading symbols from /usr/lib/firefox-1.5.0.9/libgkgfx.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/libgkgfx.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/libgkgfx.so
Reading symbols from /usr/lib/firefox-1.5.0.9/libgtkxtbin.so...Reading symbols
from /usr/lib/debug/usr/lib/firefox-1.5.0.9/libgtkxtbin.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/libgtkxtbin.so
Reading symbols from /usr/lib/libXt.so.6...done.
Loaded symbols for /usr/lib/libXt.so.6
Reading symbols from /usr/lib/libSM.so.6...done.
Loaded symbols for /usr/lib/libSM.so.6
Reading symbols from /usr/lib/libICE.so.6...done.
Loaded symbols for /usr/lib/libICE.so.6
Reading symbols from /usr/lib/gtk-2.0/2.10.0/engines/libpixmap.so...done.
Loaded symbols for /usr/lib/gtk-2.0/2.10.0/engines/libpixmap.so
Reading symbols from
/usr/lib/firefox-1.5.0.9/components/libtoolkitcomps.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/components/libtoolkitcomps.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/components/libtoolkitcomps.so
Reading symbols from
/usr/lib/firefox-1.5.0.9/components/libembedcomponents.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/components/libembedcomponents.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/components/libembedcomponents.so
Reading symbols from /usr/lib/firefox-1.5.0.9/components/libcaps.so...Reading
symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/components/libcaps.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/components/libcaps.so
Reading symbols from /usr/lib/firefox-1.5.0.9/components/librdf.so...Reading
symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/components/librdf.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/components/librdf.so
Reading symbols from
/usr/lib/firefox-1.5.0.9/components/libsystem-pref.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/components/libsystem-pref.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/components/libsystem-pref.so
Reading symbols from
/usr/lib/firefox-1.5.0.9/components/libappcomps.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/components/libappcomps.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/components/libappcomps.so
Reading symbols from
/usr/lib/firefox-1.5.0.9/components/libnsappshell.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/components/libnsappshell.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/components/libnsappshell.so
Reading symbols from /usr/lib/libgconf-2.so.4...done.
Loaded symbols for /usr/lib/libgconf-2.so.4
Reading symbols from /usr/lib/libORBit-2.so.0...done.
Loaded symbols for /usr/lib/libORBit-2.so.0
Reading symbols from /lib/libgthread-2.0.so.0...done.
Loaded symbols for /lib/libgthread-2.0.so.0
Reading symbols from /lib/librt.so.1...done.
Loaded symbols for /lib/librt.so.1
Reading symbols from
/usr/lib/firefox-1.5.0.9/components/libcommandlines.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/components/libcommandlines.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/components/libcommandlines.so
Reading symbols from /usr/lib/firefox-1.5.0.9/components/libgfx_gtk.so...Reading
symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/components/libgfx_gtk.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/components/libgfx_gtk.so
Reading symbols from /usr/lib/libXft.so.2...done.
Loaded symbols for /usr/lib/libXft.so.2
Reading symbols from /usr/lib/firefox-1.5.0.9/libgfxpsshar.so...Reading symbols
from /usr/lib/debug/usr/lib/firefox-1.5.0.9/libgfxpsshar.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/libgfxpsshar.so
Reading symbols from /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.so...done.
Loaded symbols for /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.so
Reading symbols from
/usr/lib/firefox-1.5.0.9/components/libdocshell.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/components/libdocshell.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/components/libdocshell.so
Reading symbols from /usr/lib/firefox-1.5.0.9/components/libimglib2.so...Reading
symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/components/libimglib2.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/components/libimglib2.so
Reading symbols from /usr/lib/libjpeg.so.62...done.
Loaded symbols for /usr/lib/libjpeg.so.62
Reading symbols from /usr/lib/libgnome-2.so.0...done.
Loaded symbols for /usr/lib/libgnome-2.so.0
Reading symbols from /usr/lib/libgnomevfs-2.so.0...done.
Loaded symbols for /usr/lib/libgnomevfs-2.so.0
Reading symbols from /usr/lib/libbonobo-2.so.0...done.
Loaded symbols for /usr/lib/libbonobo-2.so.0
Reading symbols from /usr/lib/libbonobo-activation.so.4...done.
Loaded symbols for /usr/lib/libbonobo-activation.so.4
Reading symbols from /usr/lib/libesd.so.0...done.
Loaded symbols for /usr/lib/libesd.so.0
Reading symbols from /usr/lib/libaudiofile.so.0...done.
Loaded symbols for /usr/lib/libaudiofile.so.0
Reading symbols from /usr/lib/libpopt.so.0...done.
Loaded symbols for /usr/lib/libpopt.so.0
Reading symbols from /usr/lib/libxml2.so.2...done.
Loaded symbols for /usr/lib/libxml2.so.2
Reading symbols from /usr/lib/libdbus-glib-1.so.2...done.
Loaded symbols for /usr/lib/libdbus-glib-1.so.2
Reading symbols from /lib/libdbus-1.so.3...done.
Loaded symbols for /lib/libdbus-1.so.3
Reading symbols from /lib/libssl.so.6...done.
Loaded symbols for /lib/libssl.so.6
Reading symbols from /lib/libcrypto.so.6...done.
Loaded symbols for /lib/libcrypto.so.6
Reading symbols from /usr/lib/libavahi-glib.so.1...done.
Loaded symbols for /usr/lib/libavahi-glib.so.1
Reading symbols from /usr/lib/libavahi-common.so.3...done.
Loaded symbols for /usr/lib/libavahi-common.so.3
Reading symbols from /usr/lib/libavahi-client.so.3...done.
Loaded symbols for /usr/lib/libavahi-client.so.3
Reading symbols from /lib/libresolv.so.2...done.
Loaded symbols for /lib/libresolv.so.2
Reading symbols from /lib/libselinux.so.1...done.
Loaded symbols for /lib/libselinux.so.1
Reading symbols from /lib/libutil.so.1...done.
Loaded symbols for /lib/libutil.so.1
Reading symbols from /usr/lib/libORBitCosNaming-2.so.0...done.
Loaded symbols for /usr/lib/libORBitCosNaming-2.so.0
Reading symbols from /lib/libasound.so.2...done.
Loaded symbols for /lib/libasound.so.2
Reading symbols from /lib/libnsl.so.1...done.
Loaded symbols for /lib/libnsl.so.1
Reading symbols from /lib/libcap.so.1...done.
Loaded symbols for /lib/libcap.so.1
Reading symbols from /usr/lib/libgssapi_krb5.so.2...done.
Loaded symbols for /usr/lib/libgssapi_krb5.so.2
Reading symbols from /usr/lib/libkrb5.so.3...done.
Loaded symbols for /usr/lib/libkrb5.so.3
Reading symbols from /lib/libcom_err.so.2...done.
Loaded symbols for /lib/libcom_err.so.2
Reading symbols from /usr/lib/libk5crypto.so.3...done.
Loaded symbols for /usr/lib/libk5crypto.so.3
Reading symbols from /lib/libsepol.so.1...done.
Loaded symbols for /lib/libsepol.so.1
Reading symbols from /usr/lib/libkrb5support.so.0...done.
Loaded symbols for /usr/lib/libkrb5support.so.0
Reading symbols from
/usr/lib/firefox-1.5.0.9/components/libgklayout.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/components/libgklayout.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/components/libgklayout.so
Reading symbols from
/usr/lib/firefox-1.5.0.9/components/libwebbrwsr.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/components/libwebbrwsr.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/components/libwebbrwsr.so
Reading symbols from
/usr/lib/firefox-1.5.0.9/components/libpermissions.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/components/libpermissions.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/components/libpermissions.so
Reading symbols from /usr/lib/firefox-1.5.0.9/components/libcookie.so...Reading
symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/components/libcookie.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/components/libcookie.so
Reading symbols from /usr/lib/firefox-1.5.0.9/components/libpipboot.so...Reading
symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/components/libpipboot.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/components/libpipboot.so
Reading symbols from /usr/lib/firefox-1.5.0.9/components/liboji.so...Reading
symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/components/liboji.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/components/liboji.so
Reading symbols from /usr/lib/firefox-1.5.0.9/libjsj.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/libjsj.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/libjsj.so
Reading symbols from
/usr/lib/firefox-1.5.0.9/components/libremoteservice.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/components/libremoteservice.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/components/libremoteservice.so
Reading symbols from
/usr/lib/firefox-1.5.0.9/components/libhtmlpars.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/components/libhtmlpars.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/components/libhtmlpars.so
Reading symbols from /usr/lib/pango/1.5.0/modules/pango-basic-fc.so...done.
Loaded symbols for /usr/lib/pango/1.5.0/modules/pango-basic-fc.so
Reading symbols from /usr/lib/firefox-1.5.0.9/components/libnecko2.so...Reading
symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/components/libnecko2.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/components/libnecko2.so
Reading symbols from
/usr/lib/firefox-1.5.0.9/components/libbrowsercomps.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/components/libbrowsercomps.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/components/libbrowsercomps.so
Reading symbols from /usr/lib/firefox-1.5.0.9/libxpcom_compat.so...Reading
symbols from /usr/lib/debug/usr/lib/firefox-1.5.0.9/libxpcom_compat.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/libxpcom_compat.so
Reading symbols from /usr/lib/firefox-1.5.0.9/components/libtxmgr.so...Reading
symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/components/libtxmgr.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/components/libtxmgr.so
Reading symbols from
/usr/lib/firefox-1.5.0.9/components/libsearchservice.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/components/libsearchservice.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/components/libsearchservice.so
Reading symbols from /usr/lib/firefox-1.5.0.9/components/libimgicon.so...Reading
symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/components/libimgicon.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/components/libimgicon.so
Reading symbols from /usr/lib/libgnomeui-2.so.0...done.
Loaded symbols for /usr/lib/libgnomeui-2.so.0
Reading symbols from /usr/lib/libbonoboui-2.so.0...done.
Loaded symbols for /usr/lib/libbonoboui-2.so.0
Reading symbols from /usr/lib/libgnome-keyring.so.0...done.
Loaded symbols for /usr/lib/libgnome-keyring.so.0
Reading symbols from /usr/lib/libgnomecanvas-2.so.0...done.
Loaded symbols for /usr/lib/libgnomecanvas-2.so.0
Reading symbols from /usr/lib/libart_lgpl_2.so.2...done.
Loaded symbols for /usr/lib/libart_lgpl_2.so.2
Reading symbols from /usr/lib/firefox-1.5.0.9/components/libpipnss.so...Reading
symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/components/libpipnss.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/components/libpipnss.so
Reading symbols from /usr/lib/libssl3.so...done.
Loaded symbols for /usr/lib/libssl3.so
Reading symbols from /usr/lib/libsmime3.so...done.
Loaded symbols for /usr/lib/libsmime3.so
Reading symbols from /usr/lib/libnss3.so...done.
Loaded symbols for /usr/lib/libnss3.so
Reading symbols from /usr/lib/libsoftokn3.so...done.
Loaded symbols for /usr/lib/libsoftokn3.so
Reading symbols from /usr/lib/libfreebl3.so...done.
Loaded symbols for /usr/lib/libfreebl3.so
Reading symbols from /usr/lib/libnssckbi.so...done.
Loaded symbols for /usr/lib/libnssckbi.so
Reading symbols from /usr/lib/firefox-1.5.0.9/components/libeditor.so...Reading
symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/components/libeditor.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/components/libeditor.so
Reading symbols from /lib/libnss_dns.so.2...done.
Loaded symbols for /lib/libnss_dns.so.2
Reading symbols from /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so...done.
Loaded symbols for /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so
Reading symbols from /usr/lib/gnome-vfs-2.0/modules/libfile.so...done.
Loaded symbols for /usr/lib/gnome-vfs-2.0/modules/libfile.so
Reading symbols from /lib/libattr.so.1...done.
Loaded symbols for /lib/libattr.so.1
Reading symbols from /lib/libacl.so.1...done.
Loaded symbols for /lib/libacl.so.1
Reading symbols from /usr/lib/libfam.so.0...done.
Loaded symbols for /usr/lib/libfam.so.0
Reading symbols from
/usr/lib/firefox-1.5.0.9/components/libmozgnome.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/components/libmozgnome.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/components/libmozgnome.so
Reading symbols from /usr/lib/firefox-1.5.0.9/components/libmork.so...Reading
symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/components/libmork.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/components/libmork.so
Reading symbols from
/usr/lib/firefox-1.5.0.9/components/libgkplugin.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/components/libgkplugin.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/components/libgkplugin.so
Reading symbols from /usr/lib/firefox-1.5.0.9/plugins/libnullplugin.so...Reading
symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/plugins/libnullplugin.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/plugins/libnullplugin.so
Reading symbols from
/usr/lib/firefox-1.5.0.9/plugins/libunixprintplugin.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/plugins/libunixprintplugin.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/plugins/libunixprintplugin.so
Reading symbols from /usr/lib/flash-plugin/libflashplayer.so...done.
Loaded symbols for /usr/lib/flash-plugin/libflashplayer.so
Reading symbols from
/usr/lib/firefox-1.5.0.9/components/libnkgnomevfs.so...Reading symbols from
/usr/lib/debug/usr/lib/firefox-1.5.0.9/components/libnkgnomevfs.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-1.5.0.9/components/libnkgnomevfs.so
0x00cd2402 in __kernel_vsyscall ()
(gdb) cont
Continuing.
[Thread -1255150704 (LWP 24151) exited]
[Thread -1244660848 (LWP 24150) exited]
[Thread -1265640560 (LWP 24152) exited]
[Thread -1232209008 (LWP 24149) exited]
[Thread -1276953712 (LWP 24158) exited]
[New Thread -1276953712 (LWP 24173)]
[New Thread -1232209008 (LWP 24174)]
[Thread -1232209008 (LWP 24174) exited]
[Thread -1276953712 (LWP 24173) exited]
[New Thread -1276953712 (LWP 24205)]
[New Thread -1232209008 (LWP 24207)]
[Thread -1232209008 (LWP 24207) exited]
[Thread -1276953712 (LWP 24205) exited]
[New Thread -1276953712 (LWP 24238)]
[New Thread -1232209008 (LWP 24239)]
[New Thread -1265640560 (LWP 24243)]
[Thread -1265640560 (LWP 24243) exited]
[Thread -1232209008 (LWP 24239) exited]
[Thread -1276953712 (LWP 24238) exited]
[New Thread -1276953712 (LWP 24251)]
[New Thread -1232209008 (LWP 24252)]
[Thread -1232209008 (LWP 24252) exited]
[Thread -1276953712 (LWP 24251) exited]
[New Thread -1276953712 (LWP 24258)]
[New Thread -1232209008 (LWP 24261)]
[Thread -1276953712 (LWP 24258) exited]
[Thread -1232209008 (LWP 24261) exited]
[New Thread -1232209008 (LWP 24306)]
[Thread -1232209008 (LWP 24306) exited]
[New Thread -1232209008 (LWP 24359)]
[Thread -1232209008 (LWP 24359) exited]
[New Thread -1232209008 (LWP 24578)]
[Thread -1232209008 (LWP 24578) exited]
[New Thread -1232209008 (LWP 24646)]
[New Thread -1276953712 (LWP 24649)]
[New Thread -1265640560 (LWP 24667)]
[Thread -1232209008 (LWP 24646) exited]
[Thread -1276953712 (LWP 24649) exited]
[Thread -1265640560 (LWP 24667) exited]
[New Thread -1265640560 (LWP 24672)]
[New Thread -1276953712 (LWP 24673)]
[New Thread -1232209008 (LWP 24675)]
[Thread -1265640560 (LWP 24672) exited]
[Thread -1276953712 (LWP 24673) exited]
[Thread -1232209008 (LWP 24675) exited]
[New Thread -1232209008 (LWP 24870)]
[Thread -1232209008 (LWP 24870) exited]
[New Thread -1232209008 (LWP 25073)]
[Thread -1232209008 (LWP 25073) exited]
[New Thread -1232209008 (LWP 25917)]
[Thread -1232209008 (LWP 25917) exited]
[New Thread -1232209008 (LWP 26207)]
[Thread -1232209008 (LWP 26207) exited]
[New Thread -1232209008 (LWP 26425)]
[New Thread -1276953712 (LWP 26426)]
[Thread -1232209008 (LWP 26425) exited]
[Thread -1276953712 (LWP 26426) exited]
[New Thread -1276953712 (LWP 26682)]
[New Thread -1232209008 (LWP 26683)]
[Thread -1276953712 (LWP 26682) exited]
[Thread -1232209008 (LWP 26683) exited]
[New Thread -1232209008 (LWP 26947)]
[New Thread -1276953712 (LWP 26948)]
[Thread -1232209008 (LWP 26947) exited]
[Thread -1276953712 (LWP 26948) exited]
[New Thread -1276953712 (LWP 27244)]
[New Thread -1232209008 (LWP 27245)]
[Thread -1276953712 (LWP 27244) exited]
[Thread -1232209008 (LWP 27245) exited]
[New Thread -1232209008 (LWP 27413)]
[New Thread -1276953712 (LWP 27415)]
[Thread -1232209008 (LWP 27413) exited]
[Thread -1276953712 (LWP 27415) exited]
[New Thread -1276953712 (LWP 27436)]
[New Thread -1232209008 (LWP 27437)]
[Thread -1276953712 (LWP 27436) exited]
[Thread -1232209008 (LWP 27437) exited]
[New Thread -1232209008 (LWP 27440)]
[New Thread -1276953712 (LWP 27442)]
[Thread -1276953712 (LWP 27442) exited]
[Thread -1232209008 (LWP 27440) exited]
[New Thread -1232209008 (LWP 27486)]
[New Thread -1276953712 (LWP 27487)]
[Thread -1276953712 (LWP 27487) exited]
[Thread -1232209008 (LWP 27486) exited]
[New Thread -1232209008 (LWP 27581)]
[Thread -1232209008 (LWP 27581) exited]
[New Thread -1232209008 (LWP 27594)]
[Thread -1232209008 (LWP 27594) exited]
[New Thread -1232209008 (LWP 27651)]
[New Thread -1276953712 (LWP 27652)]
[Thread -1232209008 (LWP 27651) exited]
[Thread -1276953712 (LWP 27652) exited]
[New Thread -1276953712 (LWP 27767)]
[New Thread -1232209008 (LWP 27768)]
[Thread -1276953712 (LWP 27767) exited]
[Thread -1232209008 (LWP 27768) exited]
[New Thread -1232209008 (LWP 27832)]
[New Thread -1276953712 (LWP 27833)]
[Thread -1276953712 (LWP 27833) exited]
[Thread -1232209008 (LWP 27832) exited]
[New Thread -1232209008 (LWP 27849)]
[Thread -1232209008 (LWP 27849) exited]
[New Thread -1232209008 (LWP 27870)]
[New Thread -1276953712 (LWP 27871)]
[Thread -1276953712 (LWP 27871) exited]
[Thread -1232209008 (LWP 27870) exited]
[New Thread -1232209008 (LWP 27879)]
[New Thread -1276953712 (LWP 27880)]
[Thread -1276953712 (LWP 27880) exited]
[Thread -1232209008 (LWP 27879) exited]
[New Thread -1232209008 (LWP 27897)]
[New Thread -1276953712 (LWP 27898)]
[Thread -1232209008 (LWP 27897) exited]
[Thread -1276953712 (LWP 27898) exited]
[New Thread -1276953712 (LWP 28148)]
[Thread -1276953712 (LWP 28148) exited]
[New Thread -1276953712 (LWP 28292)]
[New Thread -1232209008 (LWP 28293)]
[Thread -1276953712 (LWP 28292) exited]
[New Thread -1276953712 (LWP 28303)]
[Thread -1232209008 (LWP 28293) exited]
[Thread -1276953712 (LWP 28303) exited]
[New Thread -1276953712 (LWP 28315)]
[Thread -1276953712 (LWP 28315) exited]
[New Thread -1276953712 (LWP 28322)]
[New Thread -1232209008 (LWP 28323)]
[Thread -1232209008 (LWP 28323) exited]
[New Thread -1232209008 (LWP 28328)]
[New Thread -1265640560 (LWP 28333)]
[Thread -1265640560 (LWP 28333) exited]
[Thread -1276953712 (LWP 28322) exited]
[Thread -1232209008 (LWP 28328) exited]
[New Thread -1232209008 (LWP 28339)]
[New Thread -1276953712 (LWP 28340)]
[Thread -1276953712 (LWP 28340) exited]
[New Thread -1276953712 (LWP 28341)]
[New Thread -1265640560 (LWP 28342)]
[Thread -1265640560 (LWP 28342) exited]
[Thread -1276953712 (LWP 28341) exited]
[Thread -1232209008 (LWP 28339) exited]
[New Thread -1232209008 (LWP 28349)]
[New Thread -1276953712 (LWP 28354)]
[Thread -1232209008 (LWP 28349) exited]
[Thread -1276953712 (LWP 28354) exited]
[New Thread -1276953712 (LWP 28364)]
[New Thread -1232209008 (LWP 28365)]
[New Thread -1265640560 (LWP 28382)]
[New Thread 49642384 (LWP 28383)]
[Thread -1232209008 (LWP 28365) exited]
[Thread -1276953712 (LWP 28364) exited]
[New Thread -1276953712 (LWP 28412)]
[Thread -1276953712 (LWP 28412) exited]
[New Thread -1276953712 (LWP 28433)]
[New Thread -1232209008 (LWP 28434)]
[New Thread 60132240 (LWP 28438)]
[Thread -1232209008 (LWP 28434) exited]
[Thread -1276953712 (LWP 28433) exited]
[New Thread -1276953712 (LWP 28484)]
[New Thread -1232209008 (LWP 28487)]
[Thread -1276953712 (LWP 28484) exited]
[Thread -1232209008 (LWP 28487) exited]
[New Thread -1232209008 (LWP 28704)]
[New Thread -1276953712 (LWP 28705)]
[Thread -1232209008 (LWP 28704) exited]
[Thread -1276953712 (LWP 28705) exited]
[New Thread -1276953712 (LWP 28822)]
[Thread -1276953712 (LWP 28822) exited]
[New Thread -1276953712 (LWP 28934)]
[New Thread -1232209008 (LWP 28935)]
[Thread -1276953712 (LWP 28934) exited]
[Thread -1232209008 (LWP 28935) exited]
[New Thread -1232209008 (LWP 29100)]
[Thread -1232209008 (LWP 29100) exited]
[New Thread -1232209008 (LWP 29357)]
[Thread -1232209008 (LWP 29357) exited]
[New Thread -1232209008 (LWP 29613)]
[Thread -1232209008 (LWP 29613) exited]
[New Thread -1232209008 (LWP 29658)]
[New Thread -1276953712 (LWP 29659)]
[Thread -1232209008 (LWP 29658) exited]
[Thread -1276953712 (LWP 29659) exited]
[New Thread -1276953712 (LWP 29676)]
[New Thread -1232209008 (LWP 29677)]
[Thread -1232209008 (LWP 29677) exited]
[New Thread -1232209008 (LWP 29689)]
[Thread -1232209008 (LWP 29689) exited]
[New Thread -1232209008 (LWP 29826)]
[Thread -1232209008 (LWP 29826) exited]
[Thread -1276953712 (LWP 29676) exited]
[New Thread -1276953712 (LWP 29833)]
[New Thread -1232209008 (LWP 29834)]
[Thread -1276953712 (LWP 29833) exited]
[Thread -1232209008 (LWP 29834) exited]
[New Thread -1232209008 (LWP 29849)]
[New Thread -1276953712 (LWP 29850)]
[Thread -1232209008 (LWP 29849) exited]
[Thread -1276953712 (LWP 29850) exited]
[New Thread -1276953712 (LWP 29983)]
[Thread -1276953712 (LWP 29983) exited]
[New Thread -1276953712 (LWP 30034)]
[Thread -1276953712 (LWP 30034) exited]
[New Thread -1276953712 (LWP 30160)]
[Thread -1276953712 (LWP 30160) exited]
[New Thread -1276953712 (LWP 30283)]
[New Thread -1232209008 (LWP 30284)]
[Thread -1276953712 (LWP 30283) exited]
[Thread -1232209008 (LWP 30284) exited]
[New Thread -1232209008 (LWP 30291)]
[New Thread -1276953712 (LWP 30293)]
[Thread -1232209008 (LWP 30291) exited]
[Thread -1276953712 (LWP 30293) exited]
[New Thread -1276953712 (LWP 30314)]
[New Thread -1232209008 (LWP 30320)]
[Thread -1276953712 (LWP 30314) exited]
[New Thread -1276953712 (LWP 30340)]
[Thread -1276953712 (LWP 30340) exited]
[Thread -1232209008 (LWP 30320) exited]
[New Thread -1232209008 (LWP 30347)]
[New Thread -1276953712 (LWP 30348)]
[New Thread 145148816 (LWP 30349)]
[New Thread 155638672 (LWP 30351)]
[Thread -1232209008 (LWP 30347) exited]
[Thread -1276953712 (LWP 30348) exited]
[Thread 155638672 (LWP 30351) exited]
[Thread 145148816 (LWP 30349) exited]
[New Thread 145148816 (LWP 30360)]
[Thread 145148816 (LWP 30360) exited]
[New Thread 145148816 (LWP 30451)]
[New Thread 155638672 (LWP 30452)]
[Thread 145148816 (LWP 30451) exited]
[Thread 155638672 (LWP 30452) exited]
[New Thread 155638672 (LWP 30463)]
[New Thread 145148816 (LWP 30465)]
[New Thread -1276953712 (LWP 30466)]
[New Thread -1232209008 (LWP 30467)]
[New Thread -1362306160 (LWP 30469)]
[Thread -1362306160 (LWP 30469) exited]
[Thread 155638672 (LWP 30463) exited]
[Thread -1232209008 (LWP 30467) exited]
[Thread -1276953712 (LWP 30466) exited]
[Thread 145148816 (LWP 30465) exited]
[New Thread 145148816 (LWP 30539)]
[New Thread -1276953712 (LWP 30540)]
[New Thread -1232209008 (LWP 30542)]
[New Thread 155638672 (LWP 30543)]
[Thread -1232209008 (LWP 30542) exited]
[Thread 145148816 (LWP 30539) exited]
[Thread 155638672 (LWP 30543) exited]
[Thread -1276953712 (LWP 30540) exited]
[New Thread -1276953712 (LWP 30548)]
[Thread -1276953712 (LWP 30548) exited]
[New Thread -1276953712 (LWP 30555)]
[New Thread 155638672 (LWP 30572)]
[Thread 155638672 (LWP 30572) exited]
[Thread -1276953712 (LWP 30555) exited]
[New Thread -1276953712 (LWP 30615)]
[New Thread 155638672 (LWP 30616)]
[New Thread 145148816 (LWP 30619)]
[Thread -1276953712 (LWP 30615) exited]
[New Thread -1276953712 (LWP 30626)]
[Thread -1276953712 (LWP 30626) exited]
[Thread 145148816 (LWP 30619) exited]
[Thread 155638672 (LWP 30616) exited]
[New Thread 155638672 (LWP 30658)]
[New Thread 145148816 (LWP 30659)]
[New Thread -1276953712 (LWP 30660)]
[Thread 145148816 (LWP 30659) exited]
[Thread 155638672 (LWP 30658) exited]
[Thread -1276953712 (LWP 30660) exited]
[New Thread -1276953712 (LWP 30673)]
[Thread -1276953712 (LWP 30673) exited]
[New Thread -1276953712 (LWP 30864)]
[Thread -1276953712 (LWP 30864) exited]
[New Thread -1276953712 (LWP 31037)]
[Thread -1276953712 (LWP 31037) exited]
[New Thread -1276953712 (LWP 31579)]
[New Thread 155638672 (LWP 31580)]
[New Thread 145148816 (LWP 31583)]
[New Thread -1362306160 (LWP 31588)]
[New Thread -1372796016 (LWP 31589)]
[Thread -1362306160 (LWP 31588) exited]
[Thread -1372796016 (LWP 31589) exited]
[New Thread -1372796016 (LWP 31590)]
[New Thread -1362306160 (LWP 31591)]
[Thread -1362306160 (LWP 31591) exited]
[Thread -1372796016 (LWP 31590) exited]
[New Thread -1372796016 (LWP 31593)]
[New Thread -1362306160 (LWP 31594)]
[Thread -1372796016 (LWP 31593) exited]
[Thread -1362306160 (LWP 31594) exited]
[New Thread -1362306160 (LWP 31595)]
[New Thread -1372796016 (LWP 31596)]
[Thread -1362306160 (LWP 31595) exited]
[Thread -1372796016 (LWP 31596) exited]
[New Thread -1372796016 (LWP 31597)]
[Thread -1372796016 (LWP 31597) exited]
[New Thread -1372796016 (LWP 31599)]
[New Thread -1362306160 (LWP 31600)]
[Thread -1372796016 (LWP 31599) exited]
[Thread -1362306160 (LWP 31600) exited]
[New Thread -1362306160 (LWP 31601)]
[Thread -1362306160 (LWP 31601) exited]
[Thread 155638672 (LWP 31580) exited]
[New Thread 155638672 (LWP 31603)]
[New Thread -1362306160 (LWP 31604)]
[Thread -1362306160 (LWP 31604) exited]
[Thread 155638672 (LWP 31603) exited]
[New Thread 155638672 (LWP 31605)]
[Thread 155638672 (LWP 31605) exited]
[New Thread 155638672 (LWP 31608)]
[New Thread -1362306160 (LWP 31609)]
[Thread 155638672 (LWP 31608) exited]
[Thread -1362306160 (LWP 31609) exited]
[New Thread -1362306160 (LWP 31610)]
[Thread -1362306160 (LWP 31610) exited]
[New Thread -1362306160 (LWP 31613)]
[New Thread 155638672 (LWP 31614)]
[Thread -1362306160 (LWP 31613) exited]
[Thread 155638672 (LWP 31614) exited]
[New Thread 155638672 (LWP 31615)]
[Thread 155638672 (LWP 31615) exited]
[Thread 145148816 (LWP 31583) exited]
[Thread -1276953712 (LWP 31579) exited]
[New Thread -1276953712 (LWP 31621)]
[New Thread 145148816 (LWP 31622)]
[Thread 145148816 (LWP 31622) exited]
[Thread -1276953712 (LWP 31621) exited]
[New Thread -1276953712 (LWP 31650)]
[Thread -1276953712 (LWP 31650) exited]
[New Thread -1276953712 (LWP 31852)]
[Thread -1276953712 (LWP 31852) exited]
[New Thread -1276953712 (LWP 32050)]
[Thread -1276953712 (LWP 32050) exited]
[New Thread -1276953712 (LWP 32251)]
[Thread -1276953712 (LWP 32251) exited]
[New Thread -1276953712 (LWP 32481)]
[Thread -1276953712 (LWP 32481) exited]
[New Thread -1276953712 (LWP 32672)]
[Thread -1276953712 (LWP 32672) exited]
[New Thread -1276953712 (LWP 30390)]
[Thread -1276953712 (LWP 30390) exited]
[New Thread -1276953712 (LWP 30633)]
[Thread -1276953712 (LWP 30633) exited]
[New Thread -1276953712 (LWP 30869)]
[Thread -1276953712 (LWP 30869) exited]
[New Thread -1276953712 (LWP 31115)]
[Thread -1276953712 (LWP 31115) exited]
[New Thread -1276953712 (LWP 31332)]
[Thread -1276953712 (LWP 31332) exited]
[New Thread -1276953712 (LWP 31584)]
[Thread -1276953712 (LWP 31584) exited]
[New Thread -1276953712 (LWP 31671)]
[New Thread 145148816 (LWP 31672)]
[Thread -1276953712 (LWP 31671) exited]
[Thread 145148816 (LWP 31672) exited]
[New Thread 145148816 (LWP 31704)]
[New Thread -1276953712 (LWP 31706)]
[Thread -1276953712 (LWP 31706) exited]
[Thread 145148816 (LWP 31704) exited]
[New Thread 145148816 (LWP 31764)]
[New Thread -1276953712 (LWP 31765)]
[Thread -1276953712 (LWP 31765) exited]
[Thread 145148816 (LWP 31764) exited]
[New Thread 145148816 (LWP 31945)]
[New Thread -1276953712 (LWP 31946)]
[Thread 145148816 (LWP 31945) exited]
[Thread -1276953712 (LWP 31946) exited]
[New Thread -1276953712 (LWP 32036)]
[New Thread 145148816 (LWP 32041)]
[Thread -1276953712 (LWP 32036) exited]
[Thread 145148816 (LWP 32041) exited]
[New Thread 145148816 (LWP 32192)]
[New Thread -1276953712 (LWP 32193)]
[Thread -1276953712 (LWP 32193) exited]
[Thread 145148816 (LWP 32192) exited]
[New Thread 145148816 (LWP 32197)]
[New Thread -1276953712 (LWP 32198)]
[New Thread 155638672 (LWP 32199)]
[Thread 155638672 (LWP 32199) exited]
[Thread -1276953712 (LWP 32198) exited]
[Thread 145148816 (LWP 32197) exited]
[New Thread 145148816 (LWP 32243)]
[New Thread -1276953712 (LWP 32244)]
[Thread 145148816 (LWP 32243) exited]
[Thread -1276953712 (LWP 32244) exited]
[New Thread -1276953712 (LWP 32264)]
[New Thread 145148816 (LWP 32265)]
[Thread -1276953712 (LWP 32264) exited]
[New Thread -1276953712 (LWP 32268)]
[Thread -1276953712 (LWP 32268) exited]
[New Thread -1276953712 (LWP 32279)]
[Thread 145148816 (LWP 32265) exited]
[Thread -1276953712 (LWP 32279) exited]
[New Thread -1276953712 (LWP 32285)]
[Thread -1276953712 (LWP 32285) exited]
[New Thread -1276953712 (LWP 32308)]
[New Thread 145148816 (LWP 32310)]
[Thread -1276953712 (LWP 32308) exited]
[Thread 145148816 (LWP 32310) exited]
[New Thread 145148816 (LWP 32343)]
[Thread 145148816 (LWP 32343) exited]
[New Thread 145148816 (LWP 32527)]
[New Thread -1276953712 (LWP 32529)]
[Thread 145148816 (LWP 32527) exited]
[Thread -1276953712 (LWP 32529) exited]
[New Thread -1276953712 (LWP 32541)]
[New Thread 145148816 (LWP 32558)]
[Thread -1276953712 (LWP 32541) exited]
[New Thread -1276953712 (LWP 32559)]
[Thread -1276953712 (LWP 32559) exited]
[Thread 145148816 (LWP 32558) exited]
[New Thread 145148816 (LWP 32568)]
[New Thread -1276953712 (LWP 32569)]
[New Thread 155638672 (LWP 32570)]
[Thread 155638672 (LWP 32570) exited]
[Thread -1276953712 (LWP 32569) exited]
[Thread 145148816 (LWP 32568) exited]
[New Thread 145148816 (LWP 32577)]
[New Thread -1276953712 (LWP 32578)]
[Thread -1276953712 (LWP 32578) exited]
[Thread 145148816 (LWP 32577) exited]
[New Thread 145148816 (LWP 32608)]
[New Thread -1276953712 (LWP 32609)]
[Thread -1276953712 (LWP 32609) exited]
[Thread 145148816 (LWP 32608) exited]
[New Thread 145148816 (LWP 32683)]
[New Thread -1276953712 (LWP 32689)]
[Thread -1276953712 (LWP 32689) exited]
[Thread 145148816 (LWP 32683) exited]
[New Thread 145148816 (LWP 32695)]
[New Thread -1276953712 (LWP 32696)]
[Thread -1276953712 (LWP 32696) exited]
[New Thread -1276953712 (LWP 32704)]
[New Thread 155638672 (LWP 32706)]
[Thread -1276953712 (LWP 32704) exited]
[Thread 145148816 (LWP 32695) exited]
[New Thread 145148816 (LWP 32715)]
[New Thread -1276953712 (LWP 32716)]
[Thread 145148816 (LWP 32715) exited]
[Thread -1276953712 (LWP 32716) exited]
[New Thread -1276953712 (LWP 32719)]
[Thread -1276953712 (LWP 32719) exited]
[New Thread -1276953712 (LWP 32726)]
[New Thread 145148816 (LWP 32727)]
[Thread 155638672 (LWP 32706) exited]
[New Thread 155638672 (LWP 32728)]
[Thread 155638672 (LWP 32728) exited]
[New Thread 155638672 (LWP 32729)]
[Thread 155638672 (LWP 32729) exited]
[New Thread 155638672 (LWP 32730)]
[Thread 155638672 (LWP 32730) exited]
[New Thread 155638672 (LWP 32731)]
[Thread 155638672 (LWP 32731) exited]
[New Thread 155638672 (LWP 32732)]
[Thread 145148816 (LWP 32727) exited]
[Thread -1276953712 (LWP 32726) exited]
[New Thread -1276953712 (LWP 303)]
[Thread 155638672 (LWP 32732) exited]
[New Thread 155638672 (LWP 304)]
[Thread 155638672 (LWP 304) exited]
[Thread -1276953712 (LWP 303) exited]
[New Thread -1276953712 (LWP 372)]
[New Thread 155638672 (LWP 373)]
[Thread 155638672 (LWP 373) exited]
[Thread -1276953712 (LWP 372) exited]
[New Thread -1276953712 (LWP 383)]
[New Thread 155638672 (LWP 384)]
[Thread -1276953712 (LWP 383) exited]
[Thread 155638672 (LWP 384) exited]
[New Thread 155638672 (LWP 452)]
[New Thread -1276953712 (LWP 454)]
[Thread 155638672 (LWP 452) exited]
[Thread -1276953712 (LWP 454) exited]
[New Thread -1276953712 (LWP 556)]
[New Thread 155638672 (LWP 558)]
[Thread -1276953712 (LWP 556) exited]
[Thread 155638672 (LWP 558) exited]
[New Thread 155638672 (LWP 593)]
[New Thread -1276953712 (LWP 594)]
[Thread 155638672 (LWP 593) exited]
[Thread -1276953712 (LWP 594) exited]
[New Thread -1276953712 (LWP 601)]
[Thread -1276953712 (LWP 601) exited]
[New Thread -1276953712 (LWP 1122)]
[Thread -1276953712 (LWP 1122) exited]
[New Thread -1276953712 (LWP 1136)]
[New Thread 155638672 (LWP 1139)]
[New Thread 145148816 (LWP 1140)]
[Thread 155638672 (LWP 1139) exited]
[Thread 145148816 (LWP 1140) exited]
[New Thread 145148816 (LWP 1141)]
[New Thread 155638672 (LWP 1142)]
[Thread 155638672 (LWP 1142) exited]
[Thread 145148816 (LWP 1141) exited]
[New Thread 145148816 (LWP 1143)]
[New Thread 155638672 (LWP 1144)]
[Thread 145148816 (LWP 1143) exited]
[Thread 155638672 (LWP 1144) exited]
[New Thread 155638672 (LWP 1145)]
[New Thread 145148816 (LWP 1146)]
[Thread 155638672 (LWP 1145) exited]
[Thread 145148816 (LWP 1146) exited]
[New Thread 145148816 (LWP 1147)]
[New Thread 155638672 (LWP 1148)]
[Thread 145148816 (LWP 1147) exited]
[Thread 155638672 (LWP 1148) exited]
[New Thread 155638672 (LWP 1149)]
[New Thread 145148816 (LWP 1150)]
[Thread 145148816 (LWP 1150) exited]
[Thread 155638672 (LWP 1149) exited]
[New Thread 155638672 (LWP 1151)]
[Thread 155638672 (LWP 1151) exited]
[New Thread 155638672 (LWP 1153)]
[New Thread 145148816 (LWP 1154)]
[New Thread -1362306160 (LWP 1155)]
[Thread -1362306160 (LWP 1155) exited]
[Thread 155638672 (LWP 1153) exited]
[Thread -1276953712 (LWP 1136) exited]
[Thread 145148816 (LWP 1154) exited]
[New Thread 145148816 (LWP 1189)]
[Thread 145148816 (LWP 1189) exited]
[New Thread 145148816 (LWP 1352)]
[Thread 145148816 (LWP 1352) exited]
[New Thread 145148816 (LWP 1470)]
[New Thread -1276953712 (LWP 1471)]
[Thread -1276953712 (LWP 1471) exited]
[Thread 145148816 (LWP 1470) exited]
[New Thread 145148816 (LWP 1494)]
[Thread 145148816 (LWP 1494) exited]
[New Thread 145148816 (LWP 1524)]
[Thread 145148816 (LWP 1524) exited]
[New Thread 145148816 (LWP 1544)]
[New Thread -1276953712 (LWP 1545)]
[Thread 145148816 (LWP 1544) exited]
[Thread -1276953712 (LWP 1545) exited]
[New Thread -1276953712 (LWP 1603)]
[Thread -1276953712 (LWP 1603) exited]
[New Thread -1276953712 (LWP 1610)]
[New Thread 145148816 (LWP 1611)]
[Thread 145148816 (LWP 1611) exited]
[Thread -1276953712 (LWP 1610) exited]
[New Thread -1276953712 (LWP 1645)]
[Thread -1276953712 (LWP 1645) exited]
[New Thread -1276953712 (LWP 1776)]
[New Thread 145148816 (LWP 1780)]
[New Thread 155638672 (LWP 1781)]
[Thread 145148816 (LWP 1780) exited]
[New Thread 145148816 (LWP 1792)]
[New Thread -1362306160 (LWP 1793)]
[New Thread -1372796016 (LWP 1794)]
[New Thread -1383285872 (LWP 1795)]
[New Thread -1393775728 (LWP 1796)]
[Thread -1393775728 (LWP 1796) exited]
[Thread 145148816 (LWP 1792) exited]
[Thread -1362306160 (LWP 1793) exited]
[Thread -1383285872 (LWP 1795) exited]
[Thread -1372796016 (LWP 1794) exited]
[Thread -1276953712 (LWP 1776) exited]
[Thread 155638672 (LWP 1781) exited]
[New Thread 155638672 (LWP 1809)]
[New Thread -1276953712 (LWP 1810)]
[Thread 155638672 (LWP 1809) exited]
[Thread -1276953712 (LWP 1810) exited]

Program exited with code 01.
(gdb) thread apply all bt
(gdb) 
(gdb) bt
No stack.
(gdb) bt
No stack.
(gdb) bt
No stack.
(gdb) cont
The program is not being run.
(gdb) thread apply all bt
(gdb) bt
No stack.
(gdb) bt
No stack.
(gdb) bt
No stack.
Comment 8 Per Nystrom 2007-02-27 22:38:47 EST
Created attachment 148894 [details]
firefox-1.5.0.9-3.fc6 crash backtrace

Guess I didn't run it with --sync and that's why I got nothing before.	Here's
some more backtrace.
Comment 9 Devin 2007-02-28 15:29:45 EST
I believe I've found the problem.  Comment #6 on this bug:

    https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=191575

... suggests that the SHAPE extension isn't loaded.  Further research suggests
that the problem can be solved by loading "extmod" in one's xorg.conf:

    Section "Module"
        Load  "extmod"
        # Load other modules
    EndSection

I modified my xorg.conf two days ago, and Firefox hasn't crashed since that time.

In the bug I referenced above, the bug was closed after a resolution was found.
 I'm not sure that the bug is really _resolved_.  Should Firefox and other gtk
applications rely on a loaded _extension_?  If so, is this behavior documented?

Also, I haven't seen this bug referenced from anyone who doesn't have an ATI
video card.  I don't know if "extmod" is added to xorg.conf by default, but I do
know that the fglrx packages contain utility programs that alter the xorg.conf
file.  Perhaps all of these gdk "BadRequest" bugs are from people who had
"extmod" removed from their xorg.conf files by those utility programs.  Just
speculation ...
Comment 10 Adam Jackson 2007-03-05 09:52:13 EST
Entirely likely.

One wonders how they got their config file to not include it though.
Comment 11 Christopher Aillon 2007-03-05 09:58:30 EST
Going to close this out; not really a firefox bug.  xorg.conf can't die quick
enough...

Note You need to log in before you can comment on or make changes to this bug.